<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

/////////////////////////////////////////////////////////////////////////////
only_reg();
$set['title']='Приветствие';
include_once 'sys/inc/thead.php';
title();

if (isset($_POST['save'])){
$msg = my_esc($_POST['msg']);
if (strlen2($msg)>600){$err='Содержание не может превышать больше 600 символов';}
if (strlen2($msg)<2){$err='Содержание слишком короткое';}
else
mysql_query("UPDATE `user` SET `privet` = '".$msg."' WHERE `id` = '$user[id]' LIMIT 1");
if (!isset($err))msg('Ваш статус успешно изменён');
}
err();
aut();

echo '<div class="main_menu"><div class="mess">- Текст не должен содержать мат и рекламу!<br/>- Максимально 600 символов</div>';
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM user WHERE id = $_SESSION[id_user] LIMIT 1"));
echo "<form method='post' action='?'>\n";
echo "Введите текст приветствия:";
echo "$tPanel<textarea name=\"msg\">".$user['privet']."</textarea><br />\n";
echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form></div>\n";

include_once 'sys/inc/tfoot.php';
?>